diff -pruN 1.48.0-1.1/debian/changelog 1.48.0-2/debian/changelog
--- 1.48.0-1.1/debian/changelog	2024-02-28 21:01:37.000000000 +0000
+++ 1.48.0-2/debian/changelog	2024-05-05 16:20:25.000000000 +0000
@@ -1,9 +1,14 @@
-libuv1 (1.48.0-1.1) unstable; urgency=medium
+libuv1 (1.48.0-2) unstable; urgency=medium
 
-  * Non-maintainer upload.
-  * Rename libraries for 64-bit time_t transition.  Closes: #1062694
+  [ Jérémy Lal ]
+  * new package libuv1-doc using sphinxdoc. Closes: #1017581.
+  * patch: fix privacy-breach-generic in html doc
 
- -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:01:37 +0000
+  [ Dominique Dumont ]
+  * add patch to support loong64.
+    Thanks to Graham Inggs (Closes: 1062694)
+
+ -- Dominique Dumont <dod@debian.org>  Sun, 05 May 2024 18:20:25 +0200
 
 libuv1 (1.48.0-1) unstable; urgency=medium
 
diff -pruN 1.48.0-1.1/debian/control 1.48.0-2/debian/control
--- 1.48.0-1.1/debian/control	2024-02-28 21:01:36.000000000 +0000
+++ 1.48.0-2/debian/control	2024-05-05 16:20:25.000000000 +0000
@@ -3,11 +3,13 @@ Maintainer: Dominique Dumont <dod@debian
 Uploaders: Luca Bruno <lucab@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: dpkg-dev (>= 1.22.5), cmake,
+Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-sphinxdoc <!nodoc>,
                netbase,
-               pkg-config
+               pkgconf,
+               sphinx <!nodoc>
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/libuv1
 Vcs-Git: https://salsa.debian.org/debian/libuv1.git
@@ -19,7 +21,8 @@ Architecture: linux-any hurd-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libuv1t64 (= ${binary:Version})
+         libuv1 (= ${binary:Version})
+Suggests: libuv1-doc
 Conflicts: libuv-dev
 Replaces: libuv-dev
 Description: asynchronous event notification library - development files
@@ -38,10 +41,7 @@ Description: asynchronous event notifica
  Install this package if you wish to develop your own programs using the
  libuv engine.
 
-Package: libuv1t64
-Provides: ${t64:Provides}
-Replaces: libuv1
-Breaks: libuv1 (<< ${source:Version})
+Package: libuv1
 Architecture: linux-any hurd-any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -62,3 +62,23 @@ Description: asynchronous event notifica
  .
  This package includes the dynamic library against which you can link
  your program.
+
+Package: libuv1-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: asynchronous event notification library - documentation
+ Libuv is the asynchronous library behind Node.js. Very similar to libevent or
+ libev, it provides the main elements for event driven systems: watching and
+ waiting for availability in a set of sockets, and some other events like timers
+ or asynchronous messages. However, libuv also comes with some other extras
+ like:
+  * files watchers and asynchronous operations
+  * a portable TCP and UDP API, as well as asynchronous DNS resolution
+  * processes and threads management, and a portable inter-process
+    communications mechanism, with pipes and work queues
+  * a plugins mechanism for loading libraries dynamically
+  * interface with external libraries that also need to access the I/O.
+ .
+ This package contains the documentation for libuv1.
diff -pruN 1.48.0-1.1/debian/libuv1-doc.doc-base 1.48.0-2/debian/libuv1-doc.doc-base
--- 1.48.0-1.1/debian/libuv1-doc.doc-base	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/libuv1-doc.doc-base	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1,10 @@
+Document: libuv1
+Title: libuv documentation
+Author: Contributors to libuv project
+Abstract: The libuv API documentation
+Section: Programming/C
+
+Format: HTML
+Index: /usr/share/doc/libuv1/html/index.html
+Files: /usr/share/doc/libuv1/html/*.html
+
diff -pruN 1.48.0-1.1/debian/libuv1-doc.docs 1.48.0-2/debian/libuv1-doc.docs
--- 1.48.0-1.1/debian/libuv1-doc.docs	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/libuv1-doc.docs	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1 @@
+docs/code
diff -pruN 1.48.0-1.1/debian/libuv1.install 1.48.0-2/debian/libuv1.install
--- 1.48.0-1.1/debian/libuv1.install	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/libuv1.install	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1,2 @@
+#!/usr/bin/dh-exec
+usr/lib/*/libuv.so.1* usr/lib/${DEB_HOST_MULTIARCH}/
diff -pruN 1.48.0-1.1/debian/libuv1.symbols 1.48.0-2/debian/libuv1.symbols
--- 1.48.0-1.1/debian/libuv1.symbols	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/libuv1.symbols	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1,415 @@
+libuv.so.1 libuv1 #MINVER#
+* Build-Depends-Package: libuv1-dev
+#MISSING: 1.48.0-1# (regex|optional)"^uv__" 1.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__accept4@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__accept@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__async_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__async_fork@Base 1.18.0
+#MISSING: 1.48.0-1# (optional)uv__async_stop@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__calloc@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__check_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__cloexec_fcntl@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__cloexec_ioctl@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__close_nocheckstdio@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__count_bufs@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__dup2_cloexec@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__dup3@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__dup@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__eventfd2@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__eventfd@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__fd_exists@Base 1.21.0
+#MISSING: 1.48.0-1# (optional)uv__free@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__fs_event_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__fs_poll_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__fs_scandir_cleanup@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__getaddrinfo_translate_error@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__getiovmax@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__getpwuid_r@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__handle_type@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__hrtime@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__idle_close@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_add_watch@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_fork@Base 1.18.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_init1@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_init@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_rm_watch@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_active@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_check_fd@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_feed@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_fork@Base 1.18.0
+#MISSING: 1.48.0-1# (optional)uv__io_init@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_poll@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_start@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__io_stop@Base 1.11.0
+ (arch=kfreebsd-any|optional)uv__kqueue_init@Base 1.22.0-2
+#MISSING: 1.48.0-1# (optional)uv__loop_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__loop_configure@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__make_close_pending@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__make_pipe@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__make_socketpair@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__malloc@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__next_timeout@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__nonblock_fcntl@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__nonblock_ioctl@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__open_cloexec@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__open_file@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__pipe2@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__pipe_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__platform_invalidate_fd@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__platform_loop_delete@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__platform_loop_init@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__poll_close@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__preadv@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__prepare_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__process_close@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__pwritev@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__realloc@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__recvmmsg@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__recvmsg@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__run_check@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__run_idle@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__run_prepare@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__run_timers@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__sendmmsg@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__server_io@Base 1.11.0
+#MISSING: 1.48.0-1# (arch=!hurd-any !kfreebsd-any|optional)uv__set_process_title@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__signal_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__signal_global_once_init@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__signal_loop_cleanup@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__signal_loop_fork@Base 1.18.0
+#MISSING: 1.48.0-1# (optional)uv__socket@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__socket_sockopt@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__strdup@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__stream_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__stream_destroy@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__stream_flush_write_queue@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__stream_init@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__stream_open@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__strndup@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__tcp_bind@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__tcp_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__tcp_connect@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__tcp_keepalive@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__tcp_nodelay@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__timer_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_bind@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_finish_close@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_recv_start@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_recv_stop@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_send@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__udp_try_send@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__work_done@Base 1.11.0
+#MISSING: 1.48.0-1# (optional)uv__work_submit@Base 1.11.0
+ uv_accept@Base 1.4.2
+ uv_async_init@Base 1.4.2
+ uv_async_send@Base 1.4.2
+ uv_available_parallelism@Base 1.44.1
+ uv_backend_fd@Base 1.4.2
+ uv_backend_timeout@Base 1.4.2
+ uv_barrier_destroy@Base 1.4.2
+ uv_barrier_init@Base 1.4.2
+ uv_barrier_wait@Base 1.4.2
+ uv_buf_init@Base 1.4.2
+ uv_cancel@Base 1.4.2
+ uv_chdir@Base 1.4.2
+ uv_check_init@Base 1.4.2
+ uv_check_start@Base 1.4.2
+ uv_check_stop@Base 1.4.2
+ uv_clock_gettime@Base 1.46.0
+ uv_close@Base 1.4.2
+ uv_cond_broadcast@Base 1.4.2
+ uv_cond_destroy@Base 1.4.2
+ uv_cond_init@Base 1.4.2
+ uv_cond_signal@Base 1.4.2
+ uv_cond_timedwait@Base 1.4.2
+ uv_cond_wait@Base 1.4.2
+ uv_cpu_info@Base 1.4.2
+ uv_cpumask_size@Base 1.46.0
+ uv_cwd@Base 1.4.2
+ uv_default_loop@Base 1.4.2
+ uv_disable_stdio_inheritance@Base 1.4.2
+ uv_dlclose@Base 1.4.2
+ uv_dlerror@Base 1.4.2
+ uv_dlopen@Base 1.4.2
+ uv_dlsym@Base 1.4.2
+ uv_err_name@Base 1.4.2
+ uv_err_name_r@Base 1.22.0
+ uv_exepath@Base 1.4.2
+ uv_fileno@Base 1.4.2
+ uv_free_cpu_info@Base 1.4.2
+ uv_free_interface_addresses@Base 1.4.2
+ uv_freeaddrinfo@Base 1.4.2
+ uv_fs_access@Base 1.4.2
+ uv_fs_chmod@Base 1.4.2
+ uv_fs_chown@Base 1.4.2
+ uv_fs_close@Base 1.4.2
+ uv_fs_closedir@Base 1.30.1
+ uv_fs_copyfile@Base 1.18.0
+ uv_fs_event_getpath@Base 1.4.2
+ uv_fs_event_init@Base 1.4.2
+ uv_fs_event_start@Base 1.4.2
+ uv_fs_event_stop@Base 1.4.2
+ uv_fs_fchmod@Base 1.4.2
+ uv_fs_fchown@Base 1.4.2
+ uv_fs_fdatasync@Base 1.4.2
+ uv_fs_fstat@Base 1.4.2
+ uv_fs_fsync@Base 1.4.2
+ uv_fs_ftruncate@Base 1.4.2
+ uv_fs_futime@Base 1.4.2
+ uv_fs_get_path@Base 1.20.2
+ uv_fs_get_ptr@Base 1.20.2
+ uv_fs_get_result@Base 1.20.2
+ uv_fs_get_statbuf@Base 1.20.2
+ uv_fs_get_system_error@Base 1.38.0
+ uv_fs_get_type@Base 1.20.2
+ uv_fs_lchown@Base 1.21.0
+ uv_fs_link@Base 1.4.2
+ uv_fs_lstat@Base 1.4.2
+ uv_fs_lutime@Base 1.38.0
+ uv_fs_mkdir@Base 1.4.2
+ uv_fs_mkdtemp@Base 1.4.2
+ uv_fs_mkstemp@Base 1.34.2
+ uv_fs_open@Base 1.4.2
+ uv_fs_opendir@Base 1.30.1
+ uv_fs_poll_getpath@Base 1.4.2
+ uv_fs_poll_init@Base 1.4.2
+ uv_fs_poll_start@Base 1.4.2
+ uv_fs_poll_stop@Base 1.4.2
+ uv_fs_read@Base 1.4.2
+ uv_fs_readdir@Base 1.30.1
+ uv_fs_readlink@Base 1.4.2
+ uv_fs_realpath@Base 1.8.0
+ uv_fs_rename@Base 1.4.2
+ uv_fs_req_cleanup@Base 1.4.2
+ uv_fs_rmdir@Base 1.4.2
+ uv_fs_scandir@Base 1.4.2
+ uv_fs_scandir_next@Base 1.4.2
+ uv_fs_sendfile@Base 1.4.2
+ uv_fs_stat@Base 1.4.2
+ uv_fs_statfs@Base 1.33.1
+ uv_fs_symlink@Base 1.4.2
+ uv_fs_unlink@Base 1.4.2
+ uv_fs_utime@Base 1.4.2
+ uv_fs_write@Base 1.4.2
+ uv_get_available_memory@Base 1.46.0
+ uv_get_constrained_memory@Base 1.30.1
+ uv_get_free_memory@Base 1.4.2
+ uv_get_osfhandle@Base 1.18.0
+ uv_get_process_title@Base 1.4.2
+ uv_get_total_memory@Base 1.4.2
+ uv_getaddrinfo@Base 1.4.2
+ uv_getnameinfo@Base 1.4.2
+ uv_getrusage@Base 1.4.2
+ uv_gettimeofday@Base 1.30.1
+ uv_guess_handle@Base 1.4.2
+ uv_handle_get_data@Base 1.20.2
+ uv_handle_get_loop@Base 1.20.2
+ uv_handle_get_type@Base 1.20.2
+ uv_handle_set_data@Base 1.20.2
+ uv_handle_size@Base 1.4.2
+ uv_handle_type_name@Base 1.20.2
+ uv_has_ref@Base 1.4.2
+ uv_hrtime@Base 1.4.2
+ uv_idle_init@Base 1.4.2
+ uv_idle_start@Base 1.4.2
+ uv_idle_stop@Base 1.4.2
+ uv_if_indextoiid@Base 1.18.0
+ uv_if_indextoname@Base 1.18.0
+ uv_inet_ntop@Base 1.4.2
+ uv_inet_pton@Base 1.4.2
+ uv_interface_addresses@Base 1.4.2
+ uv_ip4_addr@Base 1.4.2
+ uv_ip4_name@Base 1.4.2
+ uv_ip6_addr@Base 1.4.2
+ uv_ip6_name@Base 1.4.2
+ uv_ip_name@Base 1.43.0
+ uv_is_active@Base 1.4.2
+ uv_is_closing@Base 1.4.2
+ uv_is_readable@Base 1.4.2
+ uv_is_writable@Base 1.4.2
+ uv_key_create@Base 1.4.2
+ uv_key_delete@Base 1.4.2
+ uv_key_get@Base 1.4.2
+ uv_key_set@Base 1.4.2
+ uv_kill@Base 1.4.2
+ uv_library_shutdown@Base 1.38.0
+ uv_listen@Base 1.4.2
+ uv_loadavg@Base 1.4.2
+ uv_loop_alive@Base 1.4.2
+ uv_loop_close@Base 1.4.2
+ uv_loop_configure@Base 1.4.2
+ uv_loop_delete@Base 1.4.2
+ uv_loop_fork@Base 1.18.0
+ uv_loop_get_data@Base 1.20.2
+ uv_loop_init@Base 1.4.2
+ uv_loop_new@Base 1.4.2
+ uv_loop_set_data@Base 1.20.2
+ uv_loop_size@Base 1.4.2
+ uv_metrics_idle_time@Base 1.39.0
+ uv_metrics_info@Base 1.46.0
+ uv_mutex_destroy@Base 1.4.2
+ uv_mutex_init@Base 1.4.2
+ uv_mutex_init_recursive@Base 1.18.0
+ uv_mutex_lock@Base 1.4.2
+ uv_mutex_trylock@Base 1.4.2
+ uv_mutex_unlock@Base 1.4.2
+ uv_now@Base 1.4.2
+ uv_once@Base 1.4.2
+ uv_open_osfhandle@Base 1.23.0
+ uv_os_environ@Base 1.33.1
+ uv_os_free_environ@Base 1.33.1
+ uv_os_free_group@Base 1.46.0
+ uv_os_free_passwd@Base 1.9.0
+ uv_os_get_group@Base 1.46.0
+ uv_os_get_passwd2@Base 1.46.0
+ uv_os_get_passwd@Base 1.9.0
+ uv_os_getenv@Base 1.18.0
+ uv_os_gethostname@Base 1.18.0
+ uv_os_getpid@Base 1.18.0
+ uv_os_getppid@Base 1.18.0
+ uv_os_getpriority@Base 1.23.0
+ uv_os_homedir@Base 1.6.1
+ uv_os_setenv@Base 1.18.0
+ uv_os_setpriority@Base 1.23.0
+ uv_os_tmpdir@Base 1.9.0~
+ uv_os_uname@Base 1.30.1
+ uv_os_unsetenv@Base 1.18.0
+ uv_pipe@Base 1.42.0
+ uv_pipe_bind2@Base 1.46.0
+ uv_pipe_bind@Base 1.4.2
+ uv_pipe_chmod@Base 1.18.0
+ uv_pipe_connect2@Base 1.46.0
+ uv_pipe_connect@Base 1.4.2
+ uv_pipe_getpeername@Base 1.4.2
+ uv_pipe_getsockname@Base 1.4.2
+ uv_pipe_init@Base 1.4.2
+#MISSING: 1.38.0-2# uv_pipe_listen@Base 1.11.0
+ uv_pipe_open@Base 1.4.2
+ uv_pipe_pending_count@Base 1.4.2
+ uv_pipe_pending_instances@Base 1.4.2
+ uv_pipe_pending_type@Base 1.4.2
+ uv_poll_init@Base 1.4.2
+ uv_poll_init_socket@Base 1.4.2
+ uv_poll_start@Base 1.4.2
+ uv_poll_stop@Base 1.4.2
+ uv_prepare_init@Base 1.4.2
+ uv_prepare_start@Base 1.4.2
+ uv_prepare_stop@Base 1.4.2
+ uv_print_active_handles@Base 1.8.0
+ uv_print_all_handles@Base 1.8.0
+ uv_process_get_pid@Base 1.20.2
+ uv_process_kill@Base 1.4.2
+ uv_queue_work@Base 1.4.2
+ uv_random@Base 1.33.1
+ uv_read_start@Base 1.4.2
+ uv_read_stop@Base 1.4.2
+ uv_recv_buffer_size@Base 1.4.2
+ uv_ref@Base 1.4.2
+ uv_replace_allocator@Base 1.6.1
+ uv_req_get_data@Base 1.20.2
+ uv_req_get_type@Base 1.20.2
+ uv_req_set_data@Base 1.20.2
+ uv_req_size@Base 1.4.2
+ uv_req_type_name@Base 1.20.2
+ uv_resident_set_memory@Base 1.4.2
+ uv_run@Base 1.4.2
+ uv_rwlock_destroy@Base 1.4.2
+ uv_rwlock_init@Base 1.4.2
+ uv_rwlock_rdlock@Base 1.4.2
+ uv_rwlock_rdunlock@Base 1.4.2
+ uv_rwlock_tryrdlock@Base 1.4.2
+ uv_rwlock_trywrlock@Base 1.4.2
+ uv_rwlock_wrlock@Base 1.4.2
+ uv_rwlock_wrunlock@Base 1.4.2
+ uv_sem_destroy@Base 1.4.2
+ uv_sem_init@Base 1.4.2
+ uv_sem_post@Base 1.4.2
+ uv_sem_trywait@Base 1.4.2
+ uv_sem_wait@Base 1.4.2
+ uv_send_buffer_size@Base 1.4.2
+ uv_set_process_title@Base 1.4.2
+ uv_setup_args@Base 1.4.2
+ uv_shutdown@Base 1.4.2
+ uv_signal_init@Base 1.4.2
+ uv_signal_start@Base 1.4.2
+ uv_signal_start_oneshot@Base 1.18.0
+ uv_signal_stop@Base 1.4.2
+ uv_sleep@Base 1.34.2
+ uv_socketpair@Base 1.42.0
+ uv_spawn@Base 1.4.2
+ uv_stop@Base 1.4.2
+ uv_stream_get_write_queue_size@Base 1.20.2
+ uv_stream_set_blocking@Base 1.4.2
+ uv_strerror@Base 1.4.2
+ uv_strerror_r@Base 1.22.0
+ uv_tcp_bind@Base 1.4.2
+ uv_tcp_close_reset@Base 1.33.1
+ uv_tcp_connect@Base 1.4.2
+ uv_tcp_getpeername@Base 1.4.2
+ uv_tcp_getsockname@Base 1.4.2
+ uv_tcp_init@Base 1.4.2
+ uv_tcp_init_ex@Base 1.7.0
+ uv_tcp_keepalive@Base 1.4.2
+#MISSING: 1.38.0-2# uv_tcp_listen@Base 1.11.0
+ uv_tcp_nodelay@Base 1.4.2
+ uv_tcp_open@Base 1.4.2
+ uv_tcp_simultaneous_accepts@Base 1.4.2
+ uv_thread_create@Base 1.4.2
+ uv_thread_create_ex@Base 1.30.1
+ uv_thread_equal@Base 1.4.2
+ uv_thread_getaffinity@Base 1.46.0
+ uv_thread_getcpu@Base 1.46.0
+ uv_thread_getpriority@Base 1.48.0
+ uv_thread_join@Base 1.4.2
+ uv_thread_self@Base 1.4.2
+ uv_thread_setaffinity@Base 1.46.0
+ uv_thread_setpriority@Base 1.48.0
+ uv_timer_again@Base 1.4.2
+ uv_timer_get_due_in@Base 1.40.0
+ uv_timer_get_repeat@Base 1.4.2
+ uv_timer_init@Base 1.4.2
+ uv_timer_set_repeat@Base 1.4.2
+ uv_timer_start@Base 1.4.2
+ uv_timer_stop@Base 1.4.2
+ uv_translate_sys_error@Base 1.11.0
+ uv_try_write2@Base 1.42.0
+ uv_try_write@Base 1.4.2
+#MISSING: 1.38.0-2# uv_try_write_cb@Base 1.11.0
+ uv_tty_get_vterm_state@Base 1.33.1
+ uv_tty_get_winsize@Base 1.4.2
+ uv_tty_init@Base 1.4.2
+ uv_tty_reset_mode@Base 1.4.2
+ uv_tty_set_mode@Base 1.4.2
+ uv_tty_set_vterm_state@Base 1.33.1
+ uv_udp_bind@Base 1.4.2
+ uv_udp_connect@Base 1.30.1
+ uv_udp_get_send_queue_count@Base 1.20.2
+ uv_udp_get_send_queue_size@Base 1.20.2
+ uv_udp_getpeername@Base 1.30.1
+ uv_udp_getsockname@Base 1.4.2
+ uv_udp_init@Base 1.4.2
+ uv_udp_init_ex@Base 1.7.0
+ uv_udp_open@Base 1.4.2
+ uv_udp_recv_start@Base 1.4.2
+ uv_udp_recv_stop@Base 1.4.2
+ uv_udp_send@Base 1.4.2
+ uv_udp_set_broadcast@Base 1.4.2
+ uv_udp_set_membership@Base 1.4.2
+ uv_udp_set_multicast_interface@Base 1.4.2
+ uv_udp_set_multicast_loop@Base 1.4.2
+ uv_udp_set_multicast_ttl@Base 1.4.2
+ uv_udp_set_source_membership@Base 1.33.1
+ uv_udp_set_ttl@Base 1.4.2
+ uv_udp_try_send@Base 1.4.2
+ uv_udp_using_recvmmsg@Base 1.39.0
+ uv_unref@Base 1.4.2
+ uv_update_time@Base 1.4.2
+ uv_uptime@Base 1.4.2
+ uv_version@Base 1.4.2
+ uv_version_string@Base 1.4.2
+ uv_walk@Base 1.4.2
+ uv_write2@Base 1.4.2
+ uv_write@Base 1.4.2
diff -pruN 1.48.0-1.1/debian/libuv1t64.install 1.48.0-2/debian/libuv1t64.install
--- 1.48.0-1.1/debian/libuv1t64.install	2024-02-14 17:47:19.000000000 +0000
+++ 1.48.0-2/debian/libuv1t64.install	1970-01-01 00:00:00.000000000 +0000
@@ -1,2 +0,0 @@
-#!/usr/bin/dh-exec
-usr/lib/*/libuv.so.1* usr/lib/${DEB_HOST_MULTIARCH}/
diff -pruN 1.48.0-1.1/debian/libuv1t64.lintian-overrides 1.48.0-2/debian/libuv1t64.lintian-overrides
--- 1.48.0-1.1/debian/libuv1t64.lintian-overrides	2024-02-28 20:58:16.000000000 +0000
+++ 1.48.0-2/debian/libuv1t64.lintian-overrides	1970-01-01 00:00:00.000000000 +0000
@@ -1 +0,0 @@
-libuv1t64: package-name-doesnt-match-sonames libuv1
diff -pruN 1.48.0-1.1/debian/libuv1t64.symbols 1.48.0-2/debian/libuv1t64.symbols
--- 1.48.0-1.1/debian/libuv1t64.symbols	2024-02-28 20:58:16.000000000 +0000
+++ 1.48.0-2/debian/libuv1t64.symbols	1970-01-01 00:00:00.000000000 +0000
@@ -1,415 +0,0 @@
-libuv.so.1 libuv1t64 #MINVER#
-* Build-Depends-Package: libuv1-dev
-#MISSING: 1.48.0-1# (regex|optional)"^uv__" 1.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__accept4@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__accept@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__async_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__async_fork@Base 1.18.0
-#MISSING: 1.48.0-1# (optional)uv__async_stop@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__calloc@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__check_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__cloexec_fcntl@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__cloexec_ioctl@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__close_nocheckstdio@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__count_bufs@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__dup2_cloexec@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__dup3@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__dup@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__eventfd2@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__eventfd@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__fd_exists@Base 1.21.0
-#MISSING: 1.48.0-1# (optional)uv__free@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__fs_event_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__fs_poll_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__fs_scandir_cleanup@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__getaddrinfo_translate_error@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__getiovmax@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__getpwuid_r@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__handle_type@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__hrtime@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__idle_close@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_add_watch@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_fork@Base 1.18.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_init1@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_init@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__inotify_rm_watch@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_active@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_check_fd@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_feed@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_fork@Base 1.18.0
-#MISSING: 1.48.0-1# (optional)uv__io_init@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_poll@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_start@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__io_stop@Base 1.11.0
- (arch=kfreebsd-any|optional)uv__kqueue_init@Base 1.22.0-2
-#MISSING: 1.48.0-1# (optional)uv__loop_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__loop_configure@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__make_close_pending@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__make_pipe@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__make_socketpair@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__malloc@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__next_timeout@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__nonblock_fcntl@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__nonblock_ioctl@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__open_cloexec@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__open_file@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__pipe2@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__pipe_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__platform_invalidate_fd@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__platform_loop_delete@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__platform_loop_init@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__poll_close@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__preadv@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__prepare_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__process_close@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__pwritev@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__realloc@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__recvmmsg@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__recvmsg@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__run_check@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__run_idle@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__run_prepare@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__run_timers@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=linux-any|optional)uv__sendmmsg@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__server_io@Base 1.11.0
-#MISSING: 1.48.0-1# (arch=!hurd-any !kfreebsd-any|optional)uv__set_process_title@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__signal_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__signal_global_once_init@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__signal_loop_cleanup@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__signal_loop_fork@Base 1.18.0
-#MISSING: 1.48.0-1# (optional)uv__socket@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__socket_sockopt@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__strdup@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__stream_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__stream_destroy@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__stream_flush_write_queue@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__stream_init@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__stream_open@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__strndup@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__tcp_bind@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__tcp_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__tcp_connect@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__tcp_keepalive@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__tcp_nodelay@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__timer_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_bind@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_finish_close@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_recv_start@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_recv_stop@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_send@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__udp_try_send@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__work_done@Base 1.11.0
-#MISSING: 1.48.0-1# (optional)uv__work_submit@Base 1.11.0
- uv_accept@Base 1.4.2
- uv_async_init@Base 1.4.2
- uv_async_send@Base 1.4.2
- uv_available_parallelism@Base 1.44.1
- uv_backend_fd@Base 1.4.2
- uv_backend_timeout@Base 1.4.2
- uv_barrier_destroy@Base 1.4.2
- uv_barrier_init@Base 1.4.2
- uv_barrier_wait@Base 1.4.2
- uv_buf_init@Base 1.4.2
- uv_cancel@Base 1.4.2
- uv_chdir@Base 1.4.2
- uv_check_init@Base 1.4.2
- uv_check_start@Base 1.4.2
- uv_check_stop@Base 1.4.2
- uv_clock_gettime@Base 1.46.0
- uv_close@Base 1.4.2
- uv_cond_broadcast@Base 1.4.2
- uv_cond_destroy@Base 1.4.2
- uv_cond_init@Base 1.4.2
- uv_cond_signal@Base 1.4.2
- uv_cond_timedwait@Base 1.4.2
- uv_cond_wait@Base 1.4.2
- uv_cpu_info@Base 1.4.2
- uv_cpumask_size@Base 1.46.0
- uv_cwd@Base 1.4.2
- uv_default_loop@Base 1.4.2
- uv_disable_stdio_inheritance@Base 1.4.2
- uv_dlclose@Base 1.4.2
- uv_dlerror@Base 1.4.2
- uv_dlopen@Base 1.4.2
- uv_dlsym@Base 1.4.2
- uv_err_name@Base 1.4.2
- uv_err_name_r@Base 1.22.0
- uv_exepath@Base 1.4.2
- uv_fileno@Base 1.4.2
- uv_free_cpu_info@Base 1.4.2
- uv_free_interface_addresses@Base 1.4.2
- uv_freeaddrinfo@Base 1.4.2
- uv_fs_access@Base 1.4.2
- uv_fs_chmod@Base 1.4.2
- uv_fs_chown@Base 1.4.2
- uv_fs_close@Base 1.4.2
- uv_fs_closedir@Base 1.30.1
- uv_fs_copyfile@Base 1.18.0
- uv_fs_event_getpath@Base 1.4.2
- uv_fs_event_init@Base 1.4.2
- uv_fs_event_start@Base 1.4.2
- uv_fs_event_stop@Base 1.4.2
- uv_fs_fchmod@Base 1.4.2
- uv_fs_fchown@Base 1.4.2
- uv_fs_fdatasync@Base 1.4.2
- uv_fs_fstat@Base 1.4.2
- uv_fs_fsync@Base 1.4.2
- uv_fs_ftruncate@Base 1.4.2
- uv_fs_futime@Base 1.4.2
- uv_fs_get_path@Base 1.20.2
- uv_fs_get_ptr@Base 1.20.2
- uv_fs_get_result@Base 1.20.2
- uv_fs_get_statbuf@Base 1.20.2
- uv_fs_get_system_error@Base 1.38.0
- uv_fs_get_type@Base 1.20.2
- uv_fs_lchown@Base 1.21.0
- uv_fs_link@Base 1.4.2
- uv_fs_lstat@Base 1.4.2
- uv_fs_lutime@Base 1.38.0
- uv_fs_mkdir@Base 1.4.2
- uv_fs_mkdtemp@Base 1.4.2
- uv_fs_mkstemp@Base 1.34.2
- uv_fs_open@Base 1.4.2
- uv_fs_opendir@Base 1.30.1
- uv_fs_poll_getpath@Base 1.4.2
- uv_fs_poll_init@Base 1.4.2
- uv_fs_poll_start@Base 1.4.2
- uv_fs_poll_stop@Base 1.4.2
- uv_fs_read@Base 1.4.2
- uv_fs_readdir@Base 1.30.1
- uv_fs_readlink@Base 1.4.2
- uv_fs_realpath@Base 1.8.0
- uv_fs_rename@Base 1.4.2
- uv_fs_req_cleanup@Base 1.4.2
- uv_fs_rmdir@Base 1.4.2
- uv_fs_scandir@Base 1.4.2
- uv_fs_scandir_next@Base 1.4.2
- uv_fs_sendfile@Base 1.4.2
- uv_fs_stat@Base 1.4.2
- uv_fs_statfs@Base 1.33.1
- uv_fs_symlink@Base 1.4.2
- uv_fs_unlink@Base 1.4.2
- uv_fs_utime@Base 1.4.2
- uv_fs_write@Base 1.4.2
- uv_get_available_memory@Base 1.46.0
- uv_get_constrained_memory@Base 1.30.1
- uv_get_free_memory@Base 1.4.2
- uv_get_osfhandle@Base 1.18.0
- uv_get_process_title@Base 1.4.2
- uv_get_total_memory@Base 1.4.2
- uv_getaddrinfo@Base 1.4.2
- uv_getnameinfo@Base 1.4.2
- uv_getrusage@Base 1.4.2
- uv_gettimeofday@Base 1.30.1
- uv_guess_handle@Base 1.4.2
- uv_handle_get_data@Base 1.20.2
- uv_handle_get_loop@Base 1.20.2
- uv_handle_get_type@Base 1.20.2
- uv_handle_set_data@Base 1.20.2
- uv_handle_size@Base 1.4.2
- uv_handle_type_name@Base 1.20.2
- uv_has_ref@Base 1.4.2
- uv_hrtime@Base 1.4.2
- uv_idle_init@Base 1.4.2
- uv_idle_start@Base 1.4.2
- uv_idle_stop@Base 1.4.2
- uv_if_indextoiid@Base 1.18.0
- uv_if_indextoname@Base 1.18.0
- uv_inet_ntop@Base 1.4.2
- uv_inet_pton@Base 1.4.2
- uv_interface_addresses@Base 1.4.2
- uv_ip4_addr@Base 1.4.2
- uv_ip4_name@Base 1.4.2
- uv_ip6_addr@Base 1.4.2
- uv_ip6_name@Base 1.4.2
- uv_ip_name@Base 1.43.0
- uv_is_active@Base 1.4.2
- uv_is_closing@Base 1.4.2
- uv_is_readable@Base 1.4.2
- uv_is_writable@Base 1.4.2
- uv_key_create@Base 1.4.2
- uv_key_delete@Base 1.4.2
- uv_key_get@Base 1.4.2
- uv_key_set@Base 1.4.2
- uv_kill@Base 1.4.2
- uv_library_shutdown@Base 1.38.0
- uv_listen@Base 1.4.2
- uv_loadavg@Base 1.4.2
- uv_loop_alive@Base 1.4.2
- uv_loop_close@Base 1.4.2
- uv_loop_configure@Base 1.4.2
- uv_loop_delete@Base 1.4.2
- uv_loop_fork@Base 1.18.0
- uv_loop_get_data@Base 1.20.2
- uv_loop_init@Base 1.4.2
- uv_loop_new@Base 1.4.2
- uv_loop_set_data@Base 1.20.2
- uv_loop_size@Base 1.4.2
- uv_metrics_idle_time@Base 1.39.0
- uv_metrics_info@Base 1.46.0
- uv_mutex_destroy@Base 1.4.2
- uv_mutex_init@Base 1.4.2
- uv_mutex_init_recursive@Base 1.18.0
- uv_mutex_lock@Base 1.4.2
- uv_mutex_trylock@Base 1.4.2
- uv_mutex_unlock@Base 1.4.2
- uv_now@Base 1.4.2
- uv_once@Base 1.4.2
- uv_open_osfhandle@Base 1.23.0
- uv_os_environ@Base 1.33.1
- uv_os_free_environ@Base 1.33.1
- uv_os_free_group@Base 1.46.0
- uv_os_free_passwd@Base 1.9.0
- uv_os_get_group@Base 1.46.0
- uv_os_get_passwd2@Base 1.46.0
- uv_os_get_passwd@Base 1.9.0
- uv_os_getenv@Base 1.18.0
- uv_os_gethostname@Base 1.18.0
- uv_os_getpid@Base 1.18.0
- uv_os_getppid@Base 1.18.0
- uv_os_getpriority@Base 1.23.0
- uv_os_homedir@Base 1.6.1
- uv_os_setenv@Base 1.18.0
- uv_os_setpriority@Base 1.23.0
- uv_os_tmpdir@Base 1.9.0~
- uv_os_uname@Base 1.30.1
- uv_os_unsetenv@Base 1.18.0
- uv_pipe@Base 1.42.0
- uv_pipe_bind2@Base 1.46.0
- uv_pipe_bind@Base 1.4.2
- uv_pipe_chmod@Base 1.18.0
- uv_pipe_connect2@Base 1.46.0
- uv_pipe_connect@Base 1.4.2
- uv_pipe_getpeername@Base 1.4.2
- uv_pipe_getsockname@Base 1.4.2
- uv_pipe_init@Base 1.4.2
-#MISSING: 1.38.0-2# uv_pipe_listen@Base 1.11.0
- uv_pipe_open@Base 1.4.2
- uv_pipe_pending_count@Base 1.4.2
- uv_pipe_pending_instances@Base 1.4.2
- uv_pipe_pending_type@Base 1.4.2
- uv_poll_init@Base 1.4.2
- uv_poll_init_socket@Base 1.4.2
- uv_poll_start@Base 1.4.2
- uv_poll_stop@Base 1.4.2
- uv_prepare_init@Base 1.4.2
- uv_prepare_start@Base 1.4.2
- uv_prepare_stop@Base 1.4.2
- uv_print_active_handles@Base 1.8.0
- uv_print_all_handles@Base 1.8.0
- uv_process_get_pid@Base 1.20.2
- uv_process_kill@Base 1.4.2
- uv_queue_work@Base 1.4.2
- uv_random@Base 1.33.1
- uv_read_start@Base 1.4.2
- uv_read_stop@Base 1.4.2
- uv_recv_buffer_size@Base 1.4.2
- uv_ref@Base 1.4.2
- uv_replace_allocator@Base 1.6.1
- uv_req_get_data@Base 1.20.2
- uv_req_get_type@Base 1.20.2
- uv_req_set_data@Base 1.20.2
- uv_req_size@Base 1.4.2
- uv_req_type_name@Base 1.20.2
- uv_resident_set_memory@Base 1.4.2
- uv_run@Base 1.4.2
- uv_rwlock_destroy@Base 1.4.2
- uv_rwlock_init@Base 1.4.2
- uv_rwlock_rdlock@Base 1.4.2
- uv_rwlock_rdunlock@Base 1.4.2
- uv_rwlock_tryrdlock@Base 1.4.2
- uv_rwlock_trywrlock@Base 1.4.2
- uv_rwlock_wrlock@Base 1.4.2
- uv_rwlock_wrunlock@Base 1.4.2
- uv_sem_destroy@Base 1.4.2
- uv_sem_init@Base 1.4.2
- uv_sem_post@Base 1.4.2
- uv_sem_trywait@Base 1.4.2
- uv_sem_wait@Base 1.4.2
- uv_send_buffer_size@Base 1.4.2
- uv_set_process_title@Base 1.4.2
- uv_setup_args@Base 1.4.2
- uv_shutdown@Base 1.4.2
- uv_signal_init@Base 1.4.2
- uv_signal_start@Base 1.4.2
- uv_signal_start_oneshot@Base 1.18.0
- uv_signal_stop@Base 1.4.2
- uv_sleep@Base 1.34.2
- uv_socketpair@Base 1.42.0
- uv_spawn@Base 1.4.2
- uv_stop@Base 1.4.2
- uv_stream_get_write_queue_size@Base 1.20.2
- uv_stream_set_blocking@Base 1.4.2
- uv_strerror@Base 1.4.2
- uv_strerror_r@Base 1.22.0
- uv_tcp_bind@Base 1.4.2
- uv_tcp_close_reset@Base 1.33.1
- uv_tcp_connect@Base 1.4.2
- uv_tcp_getpeername@Base 1.4.2
- uv_tcp_getsockname@Base 1.4.2
- uv_tcp_init@Base 1.4.2
- uv_tcp_init_ex@Base 1.7.0
- uv_tcp_keepalive@Base 1.4.2
-#MISSING: 1.38.0-2# uv_tcp_listen@Base 1.11.0
- uv_tcp_nodelay@Base 1.4.2
- uv_tcp_open@Base 1.4.2
- uv_tcp_simultaneous_accepts@Base 1.4.2
- uv_thread_create@Base 1.4.2
- uv_thread_create_ex@Base 1.30.1
- uv_thread_equal@Base 1.4.2
- uv_thread_getaffinity@Base 1.46.0
- uv_thread_getcpu@Base 1.46.0
- uv_thread_getpriority@Base 1.48.0
- uv_thread_join@Base 1.4.2
- uv_thread_self@Base 1.4.2
- uv_thread_setaffinity@Base 1.46.0
- uv_thread_setpriority@Base 1.48.0
- uv_timer_again@Base 1.4.2
- uv_timer_get_due_in@Base 1.40.0
- uv_timer_get_repeat@Base 1.4.2
- uv_timer_init@Base 1.4.2
- uv_timer_set_repeat@Base 1.4.2
- uv_timer_start@Base 1.4.2
- uv_timer_stop@Base 1.4.2
- uv_translate_sys_error@Base 1.11.0
- uv_try_write2@Base 1.42.0
- uv_try_write@Base 1.4.2
-#MISSING: 1.38.0-2# uv_try_write_cb@Base 1.11.0
- uv_tty_get_vterm_state@Base 1.33.1
- uv_tty_get_winsize@Base 1.4.2
- uv_tty_init@Base 1.4.2
- uv_tty_reset_mode@Base 1.4.2
- uv_tty_set_mode@Base 1.4.2
- uv_tty_set_vterm_state@Base 1.33.1
- uv_udp_bind@Base 1.4.2
- uv_udp_connect@Base 1.30.1
- uv_udp_get_send_queue_count@Base 1.20.2
- uv_udp_get_send_queue_size@Base 1.20.2
- uv_udp_getpeername@Base 1.30.1
- uv_udp_getsockname@Base 1.4.2
- uv_udp_init@Base 1.4.2
- uv_udp_init_ex@Base 1.7.0
- uv_udp_open@Base 1.4.2
- uv_udp_recv_start@Base 1.4.2
- uv_udp_recv_stop@Base 1.4.2
- uv_udp_send@Base 1.4.2
- uv_udp_set_broadcast@Base 1.4.2
- uv_udp_set_membership@Base 1.4.2
- uv_udp_set_multicast_interface@Base 1.4.2
- uv_udp_set_multicast_loop@Base 1.4.2
- uv_udp_set_multicast_ttl@Base 1.4.2
- uv_udp_set_source_membership@Base 1.33.1
- uv_udp_set_ttl@Base 1.4.2
- uv_udp_try_send@Base 1.4.2
- uv_udp_using_recvmmsg@Base 1.39.0
- uv_unref@Base 1.4.2
- uv_update_time@Base 1.4.2
- uv_uptime@Base 1.4.2
- uv_version@Base 1.4.2
- uv_version_string@Base 1.4.2
- uv_walk@Base 1.4.2
- uv_write2@Base 1.4.2
- uv_write@Base 1.4.2
diff -pruN 1.48.0-1.1/debian/patches/add-support-for-loong64.patch 1.48.0-2/debian/patches/add-support-for-loong64.patch
--- 1.48.0-1.1/debian/patches/add-support-for-loong64.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/patches/add-support-for-loong64.patch	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1,43 @@
+Description: Add support for loong64
+Bug-Debian: https://bugs.debian.org/1062694
+Forwarded: no
+Author: Graham Inggs <ginggs@debian.org>
+--- libuv1-1.48.0.orig/.github/workflows/CI-unix.yml
++++ libuv1-1.48.0/.github/workflows/CI-unix.yml
+@@ -110,6 +110,7 @@ jobs:
+           - {target: ppc64,   toolchain: gcc-powerpc64-linux-gnu,   cc: powerpc64-linux-gnu-gcc,    qemu: qemu-ppc64-static   }
+           - {target: ppc64le, toolchain: gcc-powerpc64le-linux-gnu, cc: powerpc64le-linux-gnu-gcc,  qemu: qemu-ppc64le-static }
+           - {target: s390x,   toolchain: gcc-s390x-linux-gnu,       cc: s390x-linux-gnu-gcc,        qemu: qemu-s390x-static   }
++          - {target: loongarch,   toolchain: gcc-loongarch-linux-gnu,       cc: loongarch-linux-gnu-gcc,        qemu: qemu-loongarch-static   }
+           - {target: mips,    toolchain: gcc-mips-linux-gnu,          cc: mips-linux-gnu-gcc,         qemu: qemu-mips-static     }
+           - {target: mips64,  toolchain: gcc-mips64-linux-gnuabi64,   cc: mips64-linux-gnuabi64-gcc,  qemu: qemu-mips64-static   }
+           - {target: mipsel,  toolchain: gcc-mipsel-linux-gnu,        cc: mipsel-linux-gnu-gcc,       qemu: qemu-mipsel-static   }
+--- libuv1-1.48.0.orig/src/unix/linux.c
++++ libuv1-1.48.0/src/unix/linux.c
+@@ -85,6 +85,8 @@
+ #  define __NR_copy_file_range 285
+ # elif defined(__riscv)
+ #  define __NR_copy_file_range 285
++# elif defined(__loongarch__)
++#  define __NR_copy_file_range 285
+ # endif
+ #endif /* __NR_copy_file_range */
+ 
+@@ -103,6 +105,8 @@
+ #  define __NR_statx 379
+ # elif defined(__riscv)
+ #  define __NR_statx 291
++# elif defined(__loongarch__)
++#  define __NR_statx 291
+ # endif
+ #endif /* __NR_statx */
+ 
+@@ -121,6 +125,8 @@
+ #  define __NR_getrandom 349
+ # elif defined(__riscv)
+ #  define __NR_getrandom 278
++# elif defined(__loongarch__)
++#  define __NR_getrandom 278
+ # endif
+ #endif /* __NR_getrandom */
+ 
diff -pruN 1.48.0-1.1/debian/patches/privacy-breach-generic.patch 1.48.0-2/debian/patches/privacy-breach-generic.patch
--- 1.48.0-1.1/debian/patches/privacy-breach-generic.patch	1970-01-01 00:00:00.000000000 +0000
+++ 1.48.0-2/debian/patches/privacy-breach-generic.patch	2024-05-05 16:20:25.000000000 +0000
@@ -0,0 +1,18 @@
+Description: remove iframe from html doc - avoid privacy breach
+Author: Jérémy Lal <kapouer@melix.org>
+Forwarded: not-needed
+--- a/docs/src/guide/basics.rst
++++ b/docs/src/guide/basics.rst
+@@ -73,11 +73,7 @@
+ libuv's event loop is explained in more detail in the `documentation
+ <https://docs.libuv.org/en/v1.x/design.html#the-i-o-loop>`_.
+ 
+-.. raw:: html
+-
+-    <iframe width="560" height="315"
+-    src="https://www.youtube-nocookie.com/embed/nGn60vDSxQ4" frameborder="0"
+-    allowfullscreen></iframe>
++.. _lxjs_2012: https://www.youtube-nocookie.com/embed/nGn60vDSxQ4
+ 
+ Hello World
+ -----------
diff -pruN 1.48.0-1.1/debian/patches/series 1.48.0-2/debian/patches/series
--- 1.48.0-1.1/debian/patches/series	2024-02-14 17:47:19.000000000 +0000
+++ 1.48.0-2/debian/patches/series	2024-05-05 16:20:25.000000000 +0000
@@ -1,5 +1,7 @@
+add-support-for-loong64.patch
 sparc-skip-tcp_oob.diff
 #iovec_rw_fix.patch
 disable_ipv6_test.patch
 path_max_zero_st_size
 skip-multicast-test
+privacy-breach-generic.patch
diff -pruN 1.48.0-1.1/debian/rules 1.48.0-2/debian/rules
--- 1.48.0-1.1/debian/rules	2024-02-14 17:47:19.000000000 +0000
+++ 1.48.0-2/debian/rules	2024-05-05 16:20:25.000000000 +0000
@@ -33,3 +33,11 @@ ifeq ($(DEB_BUILD_ARCH_OS),linux)
 else
 	-dh_auto_test
 endif
+
+execute_before_dh_sphinxdoc:
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+	sphinx-build -D html_theme=default docs/src/ $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1/html
+endif
+
+execute_after_dh_installdocs:
+	rm -f $(CURDIR)/debian/libuv1-doc/usr/share/doc/libuv1/code/.gitignore
